# Restyle Image

Try out this capability in Bria's sandbox

Description

Transform the artistic style of an image. Accepts either a preset Style ID or a custom description.

Supported Enum IDs: 
- render_3d
- cubism
- oil_painting
- anime
- cartoon
- coloring_book
- retro_ad
- pop_art_halftone
- vector_art
- story_board
- art_nouveau
- cross_etching
- wood_cut

Example: Style: "oil_painting"


  
    Input Image
    Output Image

Endpoint: POST /restyle

## Header parameters:

  - `api_token` (string, required)

## Request fields (application/json):

  - `image` (string, required)
    The source image to be handled by the API.  
Supported input types:  
- Base64-encoded string - URL pointing to an image file that is publicly accessible and available at the time of processing.  

Accepted formats: JPEG, JPG, PNG, WEBP.

  - `style` (string, required)
    Style Enum OR custom free text description.
    Enum: "render_3d", "cubism", "oil_painting", "anime", "cartoon", "coloring_book", "retro_ad", "pop_art_halftone", "vector_art", "story_board", "art_nouveau", "cross_etching", "wood_cut"

## Response 200 fields (application/json):

  - `result` (object, required)

  - `result.image_url` (string, required)

  - `result.seed` (integer, required)

  - `result.structured_instruction` (string, required)

  - `request_id` (string, required)

  - `warning` (string)
    Returned only when ip_signal = true and the instruction field included IP content.

## Response 202 fields (application/json):

  - `request_id` (string, required)

  - `status_url` (string, required)

## Response 400 fields (application/json):

  - `error` (object, required)

  - `error.code` (integer, required)
    Example: 123

  - `error.message` (string, required)

  - `error.details` (string, required)

  - `request_id` (string, required)


